<?php

if (!defined('ABSPATH')) {
	exit();
}

/**
 * Custom Post Type add Subpage to Custom Post Menu
 */


function ttm_before_afetr_options_page() {
    add_submenu_page(
        'edit.php?post_type=ttm-before-after', //$parent_slug
        'manage_options', //$capability
        'ttm_settings', //$menu_slug
        'ttm_settings_page_callback', //$function
        3
    );
}
add_action( 'admin_menu', 'ttm_before_afetr_options_page' );


function ttm_settings_page_callback() {

}

// Show column in the admin section
add_filter('manage_ttm-before-after_posts_columns', 'ttm_set_custom_columns', 10);  
add_action('manage_posts_custom_column', 'ttm_set_featured_image_column', 10, 2);  
add_action('manage_posts_custom_column', 'ttm_set_columns_shortcode', 10, 2);  

function ttm_set_custom_columns($columns) {
   $columns = array(
      'cb'			  => '<input type="checkbox" />',
      'title'		  => esc_html__('Title', 'ttm-before-after'),
      'before_image'  => esc_html__('Before Image', 'ttm-before-after'),
      'after_image'   => esc_html__('After Image', 'ttm-before-after'),
	  'ttm_shortcode' => esc_html__('Shortcode', 'ttm-before-after'),
   );
  return $columns;
}

// Show Featured image in the admin section
function ttm_set_featured_image_column($column_name, $id){ 

  if($column_name === 'before_image') {
      $image_url = get_post_meta($id, 'ttm_before_image', true); 	
  	 $image_id = attachment_url_to_postid( $image_url );
  	 $before_image = wp_get_attachment_image( $image_id, 'thumbnail');
  	 echo $before_image;
  }

  //After Image column in posts
  if($column_name === 'after_image') {
	
	$image_url = get_post_meta($id, 'ttm_after_image', true);
	 $image_id = attachment_url_to_postid( $image_url );
	 $after_image = wp_get_attachment_image( $image_id, 'thumbnail');
	 echo $after_image;
}
}

function ttm_set_columns_shortcode($column_name, $id){  
  if($column_name === 'ttm_shortcode') { 
   $post_id =	$id;
   $shortcode = 'ttm-before-after id="' . $post_id . '"';
      echo '[' . $shortcode .']';   
  }  
}



/**
 *  admin scripts
 */
 
function ttm_media_enqueue_script() {
	wp_enqueue_media();
	wp_enqueue_script( 'ttm-media-script' );
	wp_enqueue_script( 'wp-color-picker-alpha', plugins_url( '../assets/js/wp-color-picker-alpha.min.js',__FILE__ ), array( 'wp-color-picker' ), null, true );   
	wp_enqueue_script( 'custom_js', plugins_url( '../assets/js/ttm-script.js', __FILE__ ), array('jquery','wp-color-picker','wp-color-picker-alpha'), null, true );
	wp_enqueue_style('ttm_admin_style', plugins_url( '../assets/css/ttm-admin-main.css', __FILE__ ));
}
add_action('admin_enqueue_scripts', 'ttm_media_enqueue_script');